CFD Online Discussion Forums

CFD Online Discussion Forums (http://www.cfd-online.com/Forums/)
-   OpenFOAM Installation (http://www.cfd-online.com/Forums/openfoam-installation/)
-   -   Problems with Gcc410 (http://www.cfd-online.com/Forums/openfoam-installation/57662-problems-gcc410.html)

bucky83 April 6, 2006 17:29

Hi, I've installed OpenFOAM as
 
Hi, I've installed OpenFOAM as described in the README file.

Ive executed "foamInstallationTest" and no errors showed up.

But every time I try to launch a command (es. evince gedit blockMesh) I get this message :

blockMesh: /home/Dario/OpenFOAM/linux/gcc-4.1.0/lib/libgcc_s.so.1: version `GCC_4.2.0' not found (required by /usr/lib/libstdc++.so.6)

Can anyone understand what's wrong?

BYE
DARIO

gschaider April 7, 2006 04:30

What system are you using? Cou
 
What system are you using? Could it be that you're living on the bleeding edge (ie with a compiler from the non-stable branch of gcc).

Check the version of the native compiler of your system (with 'g++ -v'). If it's higher than 4.1 remove the compiler that comes with OpenFOAM and use that one.

fred April 12, 2006 09:30

Hi, I got the same message.
 
Hi,

I got the same message. First of all, I recommend to you to re"source" one more time the baschrc or cshrc file. The env parameters (such as LD_LIBRARY_PATH) shoud point to the path where the lib are ...

Or you shoud resource the cshrc file after installing (copying) files of the compiler gccv4.

Tell me if it is working just after.

Regards,

Fred


All times are GMT -4. The time now is 03:29.